Bug 26086 - Add a 'cron' interface limit to the log viewer
Summary: Add a 'cron' interface limit to the log viewer
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: Tools (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Nick Clemens
QA Contact: Testopia
URL:
Keywords:
Depends on: 25845 22600
Blocks:
  Show dependency treegraph
 
Reported: 2020-07-29 13:47 UTC by Nick Clemens
Modified: 2020-11-02 08:23 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Text to go in the release notes:
This enhancement adds the option to limit viewing logged actions done by cron only
Version(s) released in:
20.11.00


Attachments
Bug 26086: Add 'cron' to log viewer interface options (1.77 KB, patch)
2020-07-29 13:49 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 26086: Add 'cron' to log viewer interface options (1.82 KB, patch)
2020-08-17 23:46 UTC, Andrew Fuerste-Henry
Details | Diff | Splinter Review
Bug 26086: Add 'cron' to log viewer interface options (1.88 KB, patch)
2020-08-18 06:03 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 26086: (follow-up) Be consistent with space in cron job (974 bytes, patch)
2020-08-18 13:05 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 26086: Add 'cron' to log viewer interface options (1.94 KB, patch)
2020-08-18 13:38 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nick Clemens 2020-07-29 13:47:47 UTC
bug 22600 added interfaces for 'api' and 'cron
bug 25845 add a limiter for 'api' to the tool viewer

let's add the 'cron' one too
Comment 1 Nick Clemens 2020-07-29 13:49:39 UTC
Created attachment 107502 [details] [review]
Bug 26086: Add 'cron' to log viewer interface options
Comment 2 Andrew Fuerste-Henry 2020-08-12 15:42:13 UTC
Test plan:

- perform a manual renewal
- run the auto-renew cron, make sure it renews at least one item
- go to the log viewer, search for renewals today
- confirm it shows both renewals
- limit your search to interface=cron
- confirm it only shows the automatic renewal
Comment 3 Andrew Fuerste-Henry 2020-08-17 23:46:04 UTC
Created attachment 108428 [details] [review]
Bug 26086: Add 'cron' to log viewer interface options

Signed-off-by: Rebecca Coert <rcoert@arlingtonva.us>
Comment 4 Katrin Fischer 2020-08-18 06:03:53 UTC
Created attachment 108435 [details] [review]
Bug 26086: Add 'cron' to log viewer interface options

Signed-off-by: Rebecca Coert <rcoert@arlingtonva.us>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 5 Jonathan Druart 2020-08-18 12:54:43 UTC
Inconsistency found:

 55 [%        CASE 'CRONJOBS' %]Cron jobs

 90 [%        CASE 'CRON'         %]Cronjob
Comment 6 Nick Clemens 2020-08-18 13:05:47 UTC
Created attachment 108501 [details] [review]
Bug 26086: (follow-up) Be consistent with space in cron job
Comment 7 Jonathan Druart 2020-08-18 13:38:17 UTC
Created attachment 108505 [details] [review]
Bug 26086: Add 'cron' to log viewer interface options

Signed-off-by: Rebecca Coert <rcoert@arlingtonva.us>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>

Bug 26086: (follow-up) Be consistent with space in cron job
Comment 8 Jonathan Druart 2020-08-18 15:47:21 UTC
Pushed to master for 20.11, thanks to everybody involved!
Comment 9 Caroline Cyr La Rose 2020-08-21 21:15:21 UTC
For the sake of release notes, I'm changing this to enhancement.

If you think this is wrong, feel free to change it back.
Comment 10 Lucas Gass 2020-09-04 15:37:30 UTC
enhancement will not be backported to 20.05.x